{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "DATE_DEBUT"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_FIN"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = N; 
            columnName = "ID_PRELEVEMENTS_SEPA"; 
            externalType = NUMBER; 
            name = IdPrelevementsSepa; 
            prototypeName = id; 
        }, 
        {
            columnName = "ID_SEPA_SDD_MANDAT"; 
            externalType = NUMBER; 
            name = idSepaSddMandat; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_TYPE_FACTURE"; 
            externalType = NUMBER; 
            name = idTypeFacture; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (IdPrelevementsSepa); 
    className = "org.cocktail.fwkcktlinternat.serveur.metier.EOPrelevementsSepa"; 
    classProperties = (dateDebut, dateFin, toPersonne, toSepaSddMandat, toTypeFacture); 
    externalName = "LITCHI.PRELEVEMENTS_SEPA"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkInternat_PrelevementsSepa"; 
    primaryKeyAttributes = (IdPrelevementsSepa); 
    relationships = (
        {
            destination = "FwkInternat_Personne"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toPersonne; 
        }, 
        {
            destination = "FwkCktlCompta_SepaSddMandat"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idSepaSddMandat; sourceAttribute = idSepaSddMandat; }); 
            name = toSepaSddMandat; 
        }, 
        {
            destination = "FwkInternat_TypeFacture"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTypeFacture; sourceAttribute = idTypeFacture; }); 
            name = toTypeFacture; 
        }
    ); 
}
